libparse-syslog-perl_1.10-2_all.deb


Advertisement

Description

libparse-syslog-perl - perl module for parsing syslog entries

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libparse-syslog-perl
Package version: 1.10
Package release: 2
Package architecture: all
Package type: deb
Installed size: 72 B
Download size: 14.15 KB
Official Mirror: ftp.br.debian.org
Unix syslogs are convenient to read for humans but because of small differences between operating systems and things like 'last message repeated xx times' not very easy to parse by a script. Parse::Syslog presents a simple interface to parse syslog files: you create a parser on a file (with new) and call next to get one line at a time with Unix-timestamp, host, program, pid and text returned in a hash-reference.

Alternatives

Requires

    Download

    Source package: libparse-syslog-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libparse-syslog-perl deb package:
      # sudo apt-get install libparse-syslog-perl

    Files

    • /usr/share/doc/libparse-syslog-perl/changelog.Debian.gz
    • /usr/share/doc/libparse-syslog-perl/changelog.gz
    • /usr/share/doc/libparse-syslog-perl/copyright
    • /usr/share/man/man3/Parse::Syslog.3pm.gz
    • /usr/share/perl5/Parse/Syslog.pm

    Changelog

    2011-06-11 - Fabrizio Regalli <fabreg@fabreg.it> libparse-syslog-perl (1.10-2) unstable; urgency=low [ Joachim Breitner ] * Removed myself from uploaders. [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * debian/control: Added: ${misc:Depends} to Depends: field. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Fabrizio Regalli ] * Bump to 3.9.2 Standard-Version. * Switch to DEP5 license format. * Add myself to Uploaders. * Switch d/compat to 8. * Build-Depends: switch to debhelper (>= 8). * Bump to 3.0 quilt format.

    2008-01-10 - Damyan Ivanov <dmn@debian.org> libparse-syslog-perl (1.10-1) unstable; urgency=low [ gregor herrmann ] * New upstream release. * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Removed: XS- Vcs-Svn fields. * debian/watch: use dist-based URL. * Set Standards-Version to 3.7.3 (no changes needed). * debian/rules: - remove unneeded targets and clean up dependencies among remaining ones - call dh_clean before make distclean - remove unused dh_installexamples and dh_installdirs - delete /usr/lib/perl5 only if it exists - use DESTDIR and PREFIX on make install * Add locales-all to build dependencies to enable locale test. * debian/copyright: add upstream source location, change to new format. [ Damyan Ivanov ] * debian/watch: + split the entry on two lines for easier reading + add v? to the pattern + require that the version starts with a digit and contains only digits and periods * debian/copyright: add explicit copyright/licensing for debian/* * add myself to Uploaders * debhelper hompatibility level 6

    2006-06-16 - Niko Tyni <ntyni@iki.fi> libparse-syslog-perl (1.09-2) unstable; urgency=low * Fix debian/watch not to match Parse::Syslog::Mail. * Move debhelper from Build-Depends-Indep to Build-Depends, as per policy. * Don't ignore the return value of 'make distclean'. * Add myself to Uploaders. * Upgrade to debhelper compatibility level 5. * Add libio-stringy-perl to Build-Depends-Indep to run the tests requiring IO::Scalar. * Upgrade to Standards-Version 3.7.2. No changes needed. * Add libfile-tail-perl to Build-Depends-Indep for test coverage. * Don't install an empty /usr/lib/perl5 directory.

    2006-01-08 - Joachim Breitner <nomeata@debian.org> libparse-syslog-perl (1.09-1) unstable; urgency=low * New upstream release (Closes: bug#343237) * Bumped standards version (no changes)

    2004-10-08 - Joachim Breitner <nomeata@debian.org> libparse-syslog-perl (1.03-1) unstable; urgency=low * Adopted by Debian Perl Group * New upstream release * Omit not very useful README file

    2003-12-19 - Michael Alan Dorman <mdorman@debian.org> libparse-syslog-perl (1.02-1) unstable; urgency=low * New upstream version (closes: bug#188419) * Fix copyright file problems. (closes: bug#157638)

    2002-02-11 - Michael Alan Dorman <mdorman@debian.org> libparse-syslog-perl (0.05-1) unstable; urgency=low * New upstream version.

    2001-09-27 - Michael Alan Dorman <mdorman@debian.org> libparse-syslog-perl (0.03-1) unstable; urgency=low * Initial Debianization.

    Advertisement
    Advertisement